Virtual Users And Domains With Postfix, Courier, MySQL And SquirrelMail -Ubuntu 8.04

Discussion in 'HOWTO-Related Questions' started by tonkyman, Jun 6, 2008.

  1. tonkyman

    tonkyman New Member

    FIrst off let me say that this is a fantastic HowTo and makes a slick working system. I've come from a Slackware box running exim so this system is a breeze.

    Anyway, I have a couple of issues that I can't seem to nail down. The first issue is when I tell Evolution to "Use Secure Connection" I get the following error in my logs.

    The second issue started yesterday. The system has been working great up until then. When I try to send an email from my workstation I get a relay error. The log reads:

    It allows relay from my home computer and from other office computer that are on the same network but not from my workstation.

    How does the relay function work in this setup?? I have always used pop-before-smtp but this system doesn't seem to need that. Can someone explain why?

    Thanks for the great howto and all your help.

    Tony
     
  2. falko

    falko Super Moderator ISPConfig Developer

    Did you enable "Server requires authentication" in your email client?
     
  3. tonkyman

    tonkyman New Member

    Thanks falco, I had it set that way so I thought your answer was simplistic. Well, I went back and checked it and the check mark by "Server requires authentication" was gone.... DUH!!! I feel so dumb because I just knew in my mind that the check mark was there because it was and had been working. I can't imagine how it got removed. Oh well! It works now I and I thank you for helping me.

    Any ideas on the version error on the ssl? I ran update on everything yesterday but it didn't help.

    Thanks,
    Tony
     
  4. falko

    falko Super Moderator ISPConfig Developer

  5. tonkyman

    tonkyman New Member

    All is well

    Again, thanks Falko for your help. I think I have found the problem.

    It seems that old versions of Evolution don't have the correct support for TLS. I run a very old SUSE box as my Linux workstation at my office and it has been the one giving me trouble. I configured my Ubuntu box at home using Evolution with the correct settings and it works fine. I also tested it with a windows box running FoxMail using SSL and it works fine.

    So, it appears to me that some older mail clients don't support or conform to the correct standard and it shows up as an error about wrong version.

    It seems all is well with my installation now.

    Thanks,
    Tony
     

Share This Page